Enhance ZTMGRSET to better handle a $ZROutine search path

Bug #360710 reported by bhaskar on 2009-04-13
2
Affects Status Importance Assigned to Milestone
OpenVista/GT.M Integration
Medium
jeff.apple

Bug Description

The current ZTMGRSET only deals with all routines in a single directory, which must be the first directory in the search path. The following enhanced ZTMGRSET (which changes a total of 2 lines, see below), is upward compatible with the current ZTMGRSET in the case that it handles, but also deals with the case of a multi-stage routine search path. In this case, the enhanced ZTMGRSET puts the routines that it creates in the first routine source directory, but the routines themselves can be copied from other directories further back in the search path (these other directories are left unaltered).

I disclaim all claim of copyright to these small fixes. They are in the public domain.

Regards
-- Bhaskar

-----------------------------------------------------------------------------
$ diff /opt/WorldVistAEHR/VOE10/r/ZTMGRSET.m ../p/ZTMGRSET.m
167c167
< S FROM=PATH_FROM_".m"
---
> D SILENT^%RSEL(FROM) S FROM=%ZR(FROM)_FROM_".m"
177c177
< I ZTOS=8 Q $P($S($ZRO["(":$P($P($ZRO,"(",2),")"),1:$ZRO)," ")_"/"
---
> I ZTOS=8 Q $$RTNDIR^ZOSVGUX
$ ls -l p
total 0
$ ./run

GTM>d ^ZTMGRSET

ZTMGRSET Version 8.0 Patch level **34,36,69,94,121,127,136,191,275,355**
HELLO! I exist to assist you in correctly initializing the current account.

This is namespace or uci EHR,EHR.
Should I continue? N//y
I think you are using GT.M (Unix)
Which MUMPS system should I install?

1 = VAX DSM(V6), VAX DSM(V7)
2 = MSM-PC/PLUS, MSM for NT or UNIX
3 = Cache (VMS, NT, Linux), OpenM-NT
4 = Datatree, DTM-PC, DT-MAX
5 =
6 =
7 = GT.M (VMS)
8 = GT.M (Unix)
System: 8//

I will now rename a group of routines specific to your operating system.
Routine: ZOSVGUX Loaded, Saved as %ZOSV
Routine:
Routine: ZIS4GTM Loaded, Saved as %ZIS4
Routine: ZISFGTM Loaded, Saved as %ZISF
Routine: ZISHGTM Loaded, Saved as %ZISH
Routine: XUCIGTM Loaded, Saved as %XUCI
Routine: ZISETGUX Missing
Routine: ZOSV2GTM Loaded, Saved as %ZOSV2
Routine: ZISTCPS Loaded, Saved as %ZISTCPS

NAME OF MANAGER'S UCI,VOLUME SET: EHR,EHR//
The value of PRODUCTION will be used in the GETENV api.
PRODUCTION (SIGN-ON) UCI,VOLUME SET: EHR,EHR//
The VOLUME name must match the one in PRODUCTION.
NAME OF VOLUME SET: EHR//
The temp directory for the system: '/tmp/'//
^%ZOSF setup

Now to load routines common to all systems.
Routine: ZTLOAD Loaded, Saved as %ZTLOAD
Routine: ZTLOAD1 Loaded, Saved as %ZTLOAD1
Routine: ZTLOAD2 Loaded, Saved as %ZTLOAD2
Routine: ZTLOAD3 Loaded, Saved as %ZTLOAD3
Routine: ZTLOAD4 Loaded, Saved as %ZTLOAD4
Routine: ZTLOAD5 Loaded, Saved as %ZTLOAD5
Routine: ZTLOAD6 Loaded, Saved as %ZTLOAD6
Routine: ZTLOAD7 Loaded, Saved as %ZTLOAD7
Routine: ZTM Loaded, Saved as %ZTM
Routine: ZTM0 Loaded, Saved as %ZTM0
Routine: ZTM1 Loaded, Saved as %ZTM1
Routine: ZTM2 Loaded, Saved as %ZTM2
Routine: ZTM3 Loaded, Saved as %ZTM3
Routine: ZTM4 Loaded, Saved as %ZTM4
Routine: ZTM5 Loaded, Saved as %ZTM5
Routine: ZTM6 Loaded, Saved as %ZTM6
Routine: ZTMS Loaded, Saved as %ZTMS
Routine: ZTMS0 Loaded, Saved as %ZTMS0
Routine: ZTMS1 Loaded, Saved as %ZTMS1
Routine: ZTMS2 Loaded, Saved as %ZTMS2
Routine: ZTMS3 Loaded, Saved as %ZTMS3
Routine: ZTMS4 Loaded, Saved as %ZTMS4
Routine: ZTMS5 Loaded, Saved as %ZTMS5
Routine: ZTMS7 Loaded, Saved as %ZTMS7
Routine: ZTMSH Loaded, Saved as %ZTMSH
Routine: ZTER Loaded, Saved as %ZTER
Routine: ZTER1 Loaded, Saved as %ZTER1
Routine: ZIS Loaded, Saved as %ZIS
Routine: ZIS1 Loaded, Saved as %ZIS1
Routine: ZIS2 Loaded, Saved as %ZIS2
Routine: ZIS3 Loaded, Saved as %ZIS3
Routine: ZIS5 Loaded, Saved as %ZIS5
Routine: ZIS6 Loaded, Saved as %ZIS6
Routine: ZIS7 Loaded, Saved as %ZIS7
Routine: ZISC Loaded, Saved as %ZISC
Routine: ZISP Loaded, Saved as %ZISP
Routine: ZISS Loaded, Saved as %ZISS
Routine: ZISS1 Loaded, Saved as %ZISS1
Routine: ZISS2 Loaded, Saved as %ZISS2
Routine: ZISTCP Loaded, Saved as %ZISTCP
Routine: ZISUTL Loaded, Saved as %ZISUTL
Routine: ZTPP Loaded, Saved as %ZTPP
Routine: ZTP1 Loaded, Saved as %ZTP1
Routine: ZTPTCH Loaded, Saved as %ZTPTCH
Routine: ZTRDEL Loaded, Saved as %ZTRDEL
Routine: ZTMOVE Loaded, Saved as %ZTMOVE
Want to rename the FileMan routines: No//y
Routine: DIDT Loaded, Saved as %DT
Routine: DIDTC Loaded, Saved as %DTC
Routine: DIRCR Loaded, Saved as %RCR
Setting ^%ZIS('C')

Now, I will check your % globals...........
ALL DONE
GTM>h
$ ls -l p
total 308
-rw-r----- 1 gtmuser gtm 4869 2009-04-13 16:57 _DTC.m
-rw-r----- 1 gtmuser gtm 4560 2009-04-13 16:57 _DT.m
-rw-r----- 1 gtmuser gtm 1825 2009-04-13 16:57 _RCR.m
-rw-r----- 1 gtmuser gtm 1281 2009-04-13 16:56 _XUCI.m
-rw-r----- 1 gtmuser gtm 5229 2009-04-13 16:57 _ZIS1.m
-rw-r----- 1 gtmuser gtm 4634 2009-04-13 16:57 _ZIS2.m
-rw-r----- 1 gtmuser gtm 3553 2009-04-13 16:57 _ZIS3.m
-rw-r----- 1 gtmuser gtm 4358 2009-04-13 16:56 _ZIS4.m
-rw-r----- 1 gtmuser gtm 3212 2009-04-13 16:57 _ZIS5.m
-rw-r----- 1 gtmuser gtm 4339 2009-04-13 16:57 _ZIS6.m
-rw-r----- 1 gtmuser gtm 1503 2009-04-13 16:57 _ZIS7.m
-rw-r----- 1 gtmuser gtm 5035 2009-04-13 16:57 _ZISC.m
-rw-r----- 1 gtmuser gtm 2311 2009-04-13 16:56 _ZISF.m
-rw-r----- 1 gtmuser gtm 6139 2009-04-13 16:56 _ZISH.m
-rw-r----- 1 gtmuser gtm 4752 2009-04-13 16:57 _ZIS.m
-rw-r----- 1 gtmuser gtm 1089 2009-04-13 16:57 _ZISP.m
-rw-r----- 1 gtmuser gtm 3716 2009-04-13 16:57 _ZISS1.m
-rw-r----- 1 gtmuser gtm 652 2009-04-13 16:57 _ZISS2.m
-rw-r----- 1 gtmuser gtm 4255 2009-04-13 16:57 _ZISS.m
-rw-r----- 1 gtmuser gtm 5302 2009-04-13 16:57 _ZISTCP.m
-rw-r----- 1 gtmuser gtm 3151 2009-04-13 16:56 _ZISTCPS.m
-rw-r----- 1 gtmuser gtm 3280 2009-04-13 16:57 _ZISUTL.m
-rw-r--r-- 1 gtmuser gtm 3833 2009-04-13 16:56 _ZOSV2.m
-rw-r--r-- 1 gtmuser gtm 6642 2009-04-13 16:56 _ZOSV.m
-rw-r----- 1 gtmuser gtm 1730 2009-04-13 16:57 _ZTER1.m
-rw-r----- 1 gtmuser gtm 6909 2009-04-13 16:57 _ZTER.m
-rw-r----- 1 gtmuser gtm 4507 2009-04-13 16:57 _ZTLOAD1.m
-rw-r----- 1 gtmuser gtm 2575 2009-04-13 16:57 _ZTLOAD2.m
-rw-r----- 1 gtmuser gtm 2929 2009-04-13 16:57 _ZTLOAD3.m
-rw-r----- 1 gtmuser gtm 2933 2009-04-13 16:57 _ZTLOAD4.m
-rw-r----- 1 gtmuser gtm 3043 2009-04-13 16:57 _ZTLOAD5.m
-rw-r----- 1 gtmuser gtm 1507 2009-04-13 16:57 _ZTLOAD6.m
-rw-r----- 1 gtmuser gtm 2739 2009-04-13 16:57 _ZTLOAD7.m
-rw-r----- 1 gtmuser gtm 2034 2009-04-13 16:57 _ZTLOAD.m
-rw-r----- 1 gtmuser gtm 3745 2009-04-13 16:57 _ZTM0.m
-rw-r----- 1 gtmuser gtm 4782 2009-04-13 16:57 _ZTM1.m
-rw-r----- 1 gtmuser gtm 3457 2009-04-13 16:57 _ZTM2.m
-rw-r----- 1 gtmuser gtm 2630 2009-04-13 16:57 _ZTM3.m
-rw-r----- 1 gtmuser gtm 2103 2009-04-13 16:57 _ZTM4.m
-rw-r----- 1 gtmuser gtm 4416 2009-04-13 16:57 _ZTM5.m
-rw-r----- 1 gtmuser gtm 3453 2009-04-13 16:57 _ZTM6.m
-rw-r----- 1 gtmuser gtm 6352 2009-04-13 16:57 _ZTM.m
-rw-r----- 1 gtmuser gtm 4526 2009-04-13 16:57 _ZTMOVE.m
-rw-r----- 1 gtmuser gtm 2309 2009-04-13 16:57 _ZTMS0.m
-rw-r----- 1 gtmuser gtm 5296 2009-04-13 16:57 _ZTMS1.m
-rw-r----- 1 gtmuser gtm 5025 2009-04-13 16:57 _ZTMS2.m
-rw-r----- 1 gtmuser gtm 4833 2009-04-13 16:57 _ZTMS3.m
-rw-r----- 1 gtmuser gtm 1962 2009-04-13 16:57 _ZTMS4.m
-rw-r----- 1 gtmuser gtm 669 2009-04-13 16:57 _ZTMS5.m
-rw-r----- 1 gtmuser gtm 1575 2009-04-13 16:57 _ZTMS7.m
-rw-r----- 1 gtmuser gtm 334 2009-04-13 16:57 _ZTMSH.m
-rw-r----- 1 gtmuser gtm 3568 2009-04-13 16:57 _ZTMS.m
-rw-r----- 1 gtmuser gtm 3970 2009-04-13 16:57 _ZTP1.m
-rw-r----- 1 gtmuser gtm 2844 2009-04-13 16:57 _ZTPP.m
-rw-r----- 1 gtmuser gtm 1957 2009-04-13 16:57 _ZTPTCH.m
-rw-r----- 1 gtmuser gtm 632 2009-04-13 16:57 _ZTRDEL.m
$
-----------------------------------------------------------------------------

bhaskar (bhaskar) wrote :
jeff.apple (jeff-apple) on 2009-04-15
Changed in openvista-gtm-integration:
assignee: nobody → jeff-apple
importance: Undecided → Medium
status: New → Fix Committed
Jon Tai (jontai) on 2009-05-02
Changed in openvista-gtm-integration:
milestone: none → phase-1-alpha
Jon Tai (jontai) on 2009-05-02
Changed in openvista-gtm-integration:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Bug attachments